CO_CANinterfaceErrorhandler_t Struct Reference
socketCAN » CAN errors & Log

socketCAN interface error handling More...

`#include <CO_error.h>`

## Data Fields

int | fd
| interface FD
char | ifName [IFNAMSIZ]
| interface name as string
uint32_t | noackCounter
| counts no ACK on CAN transmission
volatile unsigned char | listenOnly
| set to listen only mode
struct timespec | timestamp
| listen only mode started at this time
uint16_t | CANerrorStatus
| CAN error status bitfield, see CO_CAN_ERR_status_t.

## Detailed Description

socketCAN interface error handling

The documentation for this struct was generated from the following file:

- socketCAN/CO_error.h